CVE-2008-1293

NameCVE-2008-1293
Descriptionldm in Linux Terminal Server Project (LTSP) 0.99 and 2 passes the -ac option to the X server on each LTSP client, which allows remote attackers to connect to this server via TCP port 6006 (aka display :6).
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1561-1, DTSA-118-1
NVD severitymedium (attack range: remote)
Debian Bugs469462
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ldm (PTS)squeeze2:2.1.2-2fixed
wheezy2:2.2.11-2fixed
stretch, jessie, sid2:2.2.15-2fixed
ltsp (PTS)squeeze5.2.4-2fixed
wheezy5.4.2-6+deb7u1fixed
stretch, jessie, sid5.5.4-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ldmsource(unstable)2:0.1~bzr20080308-1medium469462
ldmsourcelenny2:0.1~bzr20071217-1+lenny1mediumDTSA-118-1
ltspsource(unstable)5.0.40~bzr20071229-1medium
ltspsourceetch0.99debian11+etch1mediumDSA-1561-1

Notes

In revision 5.0.40~bzr20071229-1 ldm has been split into a separate source package

Search for package or bug name: Reporting problems